unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, Spin, Buttons, ExtDlgs, ImgList, ComCtrls,
  ToolWin, XPBarMenu, XPMenu;

type
  TForm1 = class(TForm)
    PopupMenu1: TPopupMenu;
    Window2: TMenuItem;
    Show2: TMenuItem;
    Hide2: TMenuItem;
    N2: TMenuItem;
    ArrangeAll2: TMenuItem;
    Cascade2: TMenuItem;
    Tile2: TMenuItem;
    NewWindow2: TMenuItem;
    DlgColor: TColorDialog;
    DlgFont: TFontDialog;
    CheckBox4: TCheckBox;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label2: TLabel;
    Label4: TLabel;
    GroupBox3: TGroupBox;
    ListBox1: TListBox;
    SpinEdit1: TSpinEdit;
    SpinEdit3: TSpinEdit;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    GroupBox4: TGroupBox;
    Label1: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    ComboBox1: TComboBox;
    SpinEdit2: TSpinEdit;
    Edit2: TEdit;
    BitBtn1: TBitBtn;
    DlgOpen: TOpenPictureDialog;
    CheckBox7: TCheckBox;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    Window4: TMenuItem;
    Show4: TMenuItem;
    Hide4: TMenuItem;
    N9: TMenuItem;
    ArrangeAll4: TMenuItem;
    Cascade4: TMenuItem;
    Tile4: TMenuItem;
    NewWindow1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    HowtoUseHelp1: TMenuItem;
    Tutorial1: TMenuItem;
    SearchforHelpOn1: TMenuItem;
    Keyboard1: TMenuItem;
    Procedures1: TMenuItem;
    Commands1: TMenuItem;
    Index1: TMenuItem;
    Contents1: TMenuItem;
    BitBtn2: TBitBtn;
    ToolButton5: TToolButton;
    ToolButton8: TToolButton;
    ToolButton9: TToolButton;
    ToolButton10: TToolButton;
    ToolButton11: TToolButton;
    ToolButton12: TToolButton;
    ToolButton13: TToolButton;
    ToolButton14: TToolButton;
    ToolButton15: TToolButton;
    ToolButton16: TToolButton;
    MainMenu2: TMainMenu;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    MenuItem6: TMenuItem;
    MenuItem7: TMenuItem;
    MenuItem8: TMenuItem;
    MenuItem21: TMenuItem;
    MenuItem22: TMenuItem;
    MenuItem23: TMenuItem;
    MenuItem24: TMenuItem;
    MenuItem25: TMenuItem;
    MenuItem26: TMenuItem;
    MenuItem27: TMenuItem;
    MenuItem28: TMenuItem;
    MenuItem29: TMenuItem;
    MenuItem30: TMenuItem;
    MenuItem31: TMenuItem;
    MenuItem32: TMenuItem;
    MenuItem33: TMenuItem;
    MenuItem34: TMenuItem;
    MenuItem35: TMenuItem;
    MenuItem36: TMenuItem;
    MenuItem37: TMenuItem;
    MenuItem38: TMenuItem;
    MenuItem39: TMenuItem;
    MenuItem40: TMenuItem;
    MenuItem41: TMenuItem;
    MenuItem42: TMenuItem;
    MenuItem43: TMenuItem;
    MenuItem44: TMenuItem;
    MenuItem45: TMenuItem;
    MenuItem46: TMenuItem;
    MenuItem47: TMenuItem;
    MenuItem48: TMenuItem;
    MenuItem49: TMenuItem;
    MenuItem50: TMenuItem;
    MenuItem51: TMenuItem;
    MenuItem52: TMenuItem;
    MenuItem53: TMenuItem;
    MenuItem54: TMenuItem;
    ImageList1: TImageList;
    GroupBox5: TGroupBox;
    BtnCStart: TBitBtn;
    BtnCEnd: TBitBtn;
    BtnFont: TBitBtn;
    SpinEdit4: TSpinEdit;
    Label6: TLabel;
    XPBarMenu1: TXPBarMenu;
    procedure Exit1Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure BtnFontClick(Sender: TObject);
    procedure BtnCEndClick(Sender: TObject);
    procedure BtnCStartClick(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure SpinEdit3Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure SpinEdit4Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1             : TForm1;

implementation

{$R *.DFM}

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  XPBarMenu1.BarStyle := TBarStyle(ComboBox1.ItemIndex);
  BtnCEnd.Enabled := ComboBox1.ItemIndex = 0;
  BtnCStart.Enabled := ComboBox1.ItemIndex = 0;
  BtnFont.Enabled := ComboBox1.ItemIndex = 0;
end;

procedure TForm1.BtnFontClick(Sender: TObject);
begin
  DlgFont.Font := XPBarMenu1.BarFont;
  if DlgFont.Execute then
    XPBarMenu1.BarFont := DlgFont.Font;
end;

procedure TForm1.BtnCEndClick(Sender: TObject);
begin
  DlgColor.Color := XPBarMenu1.BarColorEnd;
  if DlgColor.Execute then
    XPBarMenu1.BarColorEnd := DlgColor.Color;
end;

procedure TForm1.BtnCStartClick(Sender: TObject);
begin
  DlgColor.Color := XPBarMenu1.BarColorStart;
  if DlgColor.Execute then
    XPBarMenu1.BarColorStart := DlgColor.Color;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
  XPBarMenu1.BarWidth := SpinEdit2.Value;
end;

procedure TForm1.SpinEdit3Change(Sender: TObject);
begin
  XPBarMenu1.ItemHeight := SpinEdit3.Value;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox1.ItemIndex := 0;

  XPBarMenu1.FlatMenu := DWORD(LOBYTE(LOWORD(GetVersion))) >= 5;
  CheckBox5.Enabled := XPBarMenu1.FlatMenu;
  if not XPBarMenu1.FlatMenu then
    SpinEdit4.Value := 50
  else
    SpinEdit4.Value := 255;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
  XPBarMenu1.BarCaption := Edit2.Text;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  XPBarMenu1.IconWidth := SpinEdit1.Value;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  XPBarMenu1.Frame3D := CheckBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  XPBarMenu1.UseSystemColors := CheckBox2.Checked;
  GroupBox3.Enabled := not CheckBox2.Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  XPBarMenu1.Gradient := CheckBox3.Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  XPBarMenu1.Active := CheckBox4.Checked;
  GroupBox1.Enabled := CheckBox4.Checked;
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
  XPBarMenu1.FlatMenu := CheckBox5.Checked;
end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin
  XPBarMenu1.AutoDetect := CheckBox6.Checked;
end;

procedure TForm1.ListBox1DblClick(Sender: TObject);
begin
  case ListBox1.ItemIndex of
    0: begin
        DlgColor.Color := XPBarMenu1.SelectFontColor;
        if DlgColor.Execute then
          XPBarMenu1.SelectFontColor := DlgColor.Color;
      end;
    1: begin
        DlgColor.Color := XPBarMenu1.SelectBorderColor;
        if DlgColor.Execute then
          XPBarMenu1.SelectBorderColor := DlgColor.Color;
      end;
    2: begin
        DlgColor.Color := XPBarMenu1.SelectColor;
        if DlgColor.Execute then
          XPBarMenu1.SelectColor := DlgColor.Color;
      end;
    3: begin
        DlgColor.Color := XPBarMenu1.MenuBarColor;
        if DlgColor.Execute then
          XPBarMenu1.MenuBarColor := DlgColor.Color;
      end;
    4: begin
        DlgColor.Color := XPBarMenu1.IconBackColor;
        if DlgColor.Execute then
          XPBarMenu1.IconBackColor := DlgColor.Color;
      end;
    5: begin
        DlgColor.Color := XPBarMenu1.SeparatorColor;
        if DlgColor.Execute then
          XPBarMenu1.SeparatorColor := DlgColor.Color;
      end;
    6: begin
        DlgColor.Color := XPBarMenu1.Color;
        if DlgColor.Execute then
          XPBarMenu1.Color := DlgColor.Color;
      end;
  end;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  if DlgOpen.Execute then
    XPBarMenu1.BarBitmap.LoadFromFile(DlgOpen.FileName);
end;

procedure TForm1.CheckBox7Click(Sender: TObject);
begin
  XPBarMenu1.BarStretch := CheckBox7.Checked;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  DlgFont.Font.Assign(XPBarMenu1.Font);
  if DlgFont.Execute then
  begin
    XPBarMenu1.Font.Assign(DlgFont.Font);
    XPBarMenu1.Active := False;
    XPBarMenu1.Active := True;
  end;
end;

procedure TForm1.SpinEdit4Change(Sender: TObject);
begin
  XPBarMenu1.BarColorStep := SpinEdit4.Value;
end;

end.

